# $Revision: 1.18 $, $Date: 2011/10/27 18:20:47 $
Summary:	GNOME dialogs for PolicyKit
Summary(pl.UTF-8):	Okna dialogowe GNOME dla pakietu PolicyKit
Name:		polkit-gnome
Version:	0.105
Release:	1
License:	LGPL v2+
Group:		X11/Applications
Source0:	http://download.gnome.org/sources/polkit-gnome/%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	50ecad37c8342fb4a52f590db7530621
URL:		http://hal.freedesktop.org/docs/PolicyKit-gnome/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.30.0
BuildRequires:	glibc-misc
BuildRequires:	gnome-common >= 2.0
BuildRequires:	gnome-doc-utils
BuildRequires:	gobject-introspection-devel >= 0.10.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	gtk-doc >= 1.3
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	polkit-devel >= 0.99
Requires:	glib2 >= 1:2.30.0
Requires:	polkit >= 0.99
Obsoletes:	PolicyKit-gnome
Obsoletes:	polkit-gnome-devel < 0.103
Obsoletes:	polkit-gnome-libs < 0.103
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
polkit-gnome provides a D-BUS session bus service that is used to
bring up authentication dialogs used for obtaining privileges.

%description -l pl.UTF-8
Pakiet polkit-gnome udostępnia usługę magistrali sesji D-BUS służącą
do wyświetlania okien dialogowych uwierzytelniania w celu uzyskania
uprawnień.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang polkit-gnome-1

%clean
rm -rf $RPM_BUILD_ROOT

%files -f polkit-gnome-1.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS TODO
%attr(755,root,root) %{_libexecdir}/polkit-gnome-authentication-agent-1

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: polkit-gnome.spec,v $
Revision 1.18  2011/10/27 18:20:47  megabajt
- updated to 0.105

Revision 1.17  2011/10/17 19:20:05  kiesiu
- updated to 0.104

Revision 1.16  2011/09/20 16:05:48  wiget
- up to 0.103

Revision 1.15  2011/08/20 19:56:11  qboosh
- updated to 0.102

Revision 1.14  2011/04/06 13:25:19  wiget
- Obsoletes PolicyKit-gnome
- rel. 2

Revision 1.13  2011/03/09 15:49:26  megabajt
- removed libtool files
- disabled silent rules

Revision 1.12  2011/03/05 18:19:04  caleb
- Up to 0.101
- Changed URL to docs site, old url doesn't exist.

Revision 1.11  2010/10/02 12:58:04  megabajt
- R: polkit >= 0.99

Revision 1.10  2010/09/25 14:32:42  patrys
- 0.99

Revision 1.9  2010/01/19 21:26:10  sparky
- BR: gir-repository-devel, glibc-misc

Revision 1.8  2010/01/19 18:33:17  megabajt
- updated to 0.96

Revision 1.7  2009/12/30 18:02:15  megabajt
- updated to 0.95

Revision 1.6  2009/11/12 13:33:29  patrys
- rebuild
- rel 2

Revision 1.5  2009/08/20 08:30:12  patrys
- ldconfig

Revision 1.4  2009/08/20 08:20:06  patrys
- require libs

Revision 1.3  2009/08/20 08:19:29  patrys
- 0.94

Revision 1.2  2009/08/04 18:35:23  patrys
- 0.93

Revision 1.1  2009/06/29 21:48:30  patrys
- initial PLD release

